
/* this prevents dom flickering, needs to be outside of dom.ready event: */
document.documentElement.className += 'js_active';
/*end dom flickering =) */
function is_touch_device() {
  return !!('ontouchstart' in window);
}
// -------------------------------------------------------------------------------------------
// FlexSlider
// -------------------------------------------------------------------------------------------							
							
	$(window).load(function() {
		$('.flexslider').fitVids().flexslider({
			animation: "fade", // animation: Modernizr.touch ? "slide" : "fade",
			controlsContainer: " ",
			pauseOnHover: true,
			slideshowSpeed: 7000,
			animationSpeed: 600,
			easing: "swing",
			useCSS: false,
			direction: "horizontal",
			controlNav: true,
			directionNav: true,
			smoothHeight: true,
			startAt: 0,
			slideshow: true,
			initDelay: 0,
			randomize: false,
			video: false
		});
	});
	
	
	
	//multi flexslider

	$(window).load(function() {
		$('.multi_flexslider').fitVids().flexslider({
			animation: "fade",
			controlsContainer: " ",
			pauseOnHover: true,
			slideshowSpeed: 4000,
			animationSpeed: 600,
			easing: "swing",
			direction: "horizontal",
			controlNav: true,
			directionNav: true,
			smoothHeight: true,
			startAt: 0,
			slideshow: false,
			initDelay: 0,
			randomize: false,
			video: false
		});
	});
	
	
	
	//testmonial slider
	
	$(window).load(function() {
		$('.testmonial_slider').flexslider({
			animation: "fade",
			controlsContainer: " ",
			pauseOnHover: true,
			slideshowSpeed: 7000,
			animationSpeed: 600,
			easing: "swing",
			direction: "horizontal",
			controlNav: true,
			directionNav: false,
			smoothHeight: true,
			startAt: 0,
			slideshow: true,
			initDelay: 0,
			randomize: false,
			video: false
		});
	});





// -------------------------------------------------------------------------------------------
// Main Navigation Menu
// -------------------------------------------------------------------------------------------							



	jQuery(document).ready(function($) {
		k_menu(); // controls the dropdown menu
	});



	function k_menu()
	{
		// k_menu controlls the dropdown menus and improves them with javascript
		
		jQuery("nav ul#menu a").removeAttr('');
		jQuery("nav ul#menu ul").css({display:"none"});
		
		//smooth drop downs
		jQuery("nav ul#menu li").each(function()
		{	
			var $sublist = jQuery(this).find('ul:first');
			
			$sublist.find('>li:first').css('marginTop','0px');
			$sublist.find('>li:last').css('marginBottom','0px');
			
			jQuery(this).hover(function()
			{	
				$sublist.stop().css({overflow:"hidden", height:"auto", display:"none",'paddingTop':'0px','paddingBottom':'0px'}).fadeIn(200, function()
				{
					jQuery(this).css({overflow:"visible", height:"auto"});
				});
			},
			function()
			{	
				$sublist.stop().fadeOut(200, function()
				{	
					jQuery(this).css({overflow:"hidden", display:"none"});
				});
			});	
		});
	}




// SelectNav [ for navigation responsive use  ]							

	jQuery(document).ready(function($) {
		selectnav('menu', {
			label: 'Main Menu ',
			nested: true,
			indent: '-',
			autoselect: true,
			activeclass: false
		});		
	});





// -------------------------------------------------------------------------------------------
// Colorbox Lightbox
// -------------------------------------------------------------------------------------------							
							
	$(document).ready(function(){
		//Examples of how to assign the ColorBox event to elements
		$(".preview").colorbox({
			rel:'preview',
			transition:"fade", 
			maxWidth:"100%", 
			maxHeight:"100%",
			next: "<i class='icon-chevron-right'></i>",
			previous: "<i class='icon-chevron-left'></i>",
			close: "<i class='icon-remove'></i>",
			slideshow: true,
			slideshowAuto: false,
			slideshowSpeed: 5000,
			slideshowStart: "<i class='icon-play'></i>",
			slideshowStop: "<i class='icon-pause'></i>"
		});
	});




// -------------------------------------------------------------------------------------------
// Audioplayer 
// -------------------------------------------------------------------------------------------							

        
	$( function() { $( 'audio' ).audioPlayer(); } );



// -------------------------------------------------------------------------------------------
// Portfolio Sorting
// -------------------------------------------------------------------------------------------



	$(document).ready(function() {
	  // get the action filter option item on page load
	  var $filterType = $('#portfolio_categories li.active a').attr('class');
	
	  // get and assign the portfolio_items_container element to the
	  // $holder varible for use later
	  var $holder = $('ul.portfolio_items_container');
	
	  // clone all items within the pre-assigned $holder element
	  var $data = $holder.clone();
	
	  // attempt to call Quicksand when a filter option
	  // item is clicked
	  $('#portfolio_categories li a').click(function(e) {
	    // reset the active class on all the buttons
	    $('#portfolio_categories li').removeClass('active');
	
	    // assign the class of the clicked filter option
	    // element to our $filterType variable
	    var $filterType = $(this).attr('class');
	    $(this).parent().addClass('active');
	    if ($filterType == 'all') {
	      // assign all li items to the $filteredData var when
	      // the 'All' filter option is clicked
	      var $filteredData = $data.find('li');
	    }
	    else {
	      // find all li elements that have our required $filterType
	      // values for the data-type element
	      var $filteredData = $data.find('li[data-type~=' + $filterType + ']');
	    }
	
	    // call quicksand and assign transition parameters
	    $holder.quicksand($filteredData, {
	      duration: 1000,
	      easing: 'easeInOutQuint',
	      useScaling: false,
	      adjustHeight: 'dynamic'
	    }, function() {$(".preview").colorbox({
				rel:'preview',
				transition:"fade", 
				maxWidth:"100%", 
				maxHeight:"100%",
				next: "<i class='icon-chevron-right'></i>",
				previous: "<i class='icon-chevron-left'></i>",
				close: "<i class='icon-remove'></i>",
				slideshow: true,
				slideshowAuto: false,
				slideshowSpeed: 5000,
				slideshowStart: "<i class='icon-play'></i>",
				slideshowStop: "<i class='icon-pause'></i>"
			});
		});
	    
	    
	    
	    
  	  //}, function() {$(".preview").colorbox({maxWidth:"100%", maxHeight:"100%"});});

	    return false;
	  });
	});





// -------------------------------------------------------------------------------------------
// Skill Graphs
// -------------------------------------------------------------------------------------------							
							
jQuery(document).ready(function($){
								
	function isScrolledIntoView(id)
	{
		var elem = "#" + id;
		var docViewTop = $(window).scrollTop();
		var docViewBottom = docViewTop + $(window).height();
	
		if ($(elem).length > 0){
			var elemTop = $(elem).offset().top;
			var elemBottom = elemTop + $(elem).height();
		}

		return ((elemBottom >= docViewTop) && (elemTop <= docViewBottom)
		  && (elemBottom <= docViewBottom) &&  (elemTop >= docViewTop) );
	}

	
	
	function sliding_horizontal_graph(id, speed){
		//alert(id);
		$("#" + id + " li span").each(function(i){
			var j = i + 1; 										  
			var cur_li = $("#" + id + " li:nth-child(" + j + ") span");
			var w = cur_li.attr("class");
			cur_li.animate({width: w + "%"}, speed);
		})
	}
	
	function graph_init(id, speed){
		$(window).scroll(function(){
			if (isScrolledIntoView(id)){
				sliding_horizontal_graph(id, speed);
			}
			else{
				//$("#" + id + " li span").css("width", "0");
			}
		})
		
		if (isScrolledIntoView(id)){
			sliding_horizontal_graph(id, speed);
		}
	}
	
	graph_init("graph1", 1000);
	

});

							



// -------------------------------------------------------------------------------------------
// Twitter Widget
// -------------------------------------------------------------------------------------------							


//sidebar twitter widget
							
	$(document).ready(function(){
		$(".twitter_widget").tweet({
			username: "brad_frost",
			modpath: './js/twitter/',
			join_text: "auto",
			avatar_size: 48,
			count: 3,
			auto_join_text_default: "we said,",
			auto_join_text_ed: "we",
			auto_join_text_ing: "we were",
			auto_join_text_reply: "we replied to",
			auto_join_text_url: "we were checking out",
			loading_text: "loading tweets..."
		});
	});


//footer twitter widget
							
	$(document).ready(function(){
		$(".footer_twitter_widget").tweet({
			username: "envato",
			modpath: './js/twitter/',
			join_text: "auto",
			avatar_size: 20,
			count: 1,
			auto_join_text_default: "we said,",
			auto_join_text_ed: "we",
			auto_join_text_ing: "we were",
			auto_join_text_reply: "we replied to",
			auto_join_text_url: "we were checking out",
			loading_text: "loading tweets..."
		});
	});



// -------------------------------------------------------------------------------------------
// Flickr Widget
// -------------------------------------------------------------------------------------------							


//sidebar flickr widget
							
	$(document).ready(function(){
	
		$('.flickr_widget').jflickrfeed({
			limit: 12,
			qstrings: {
				id: '36587311@N08' // 54297118@N03
			},
			itemTemplate: '<li>'+
						'<a class="preview_flickr" href="{{image}}" title="{{title}}">' +
							'<img src="{{image_s}}" alt="{{title}}" />' +
						'</a>' +
				      '</li>'
				}, function(data) {
						$(".preview_flickr").colorbox({
							rel:'preview_flickr',
							transition:"fade", 
							maxWidth:"100%", 
							maxHeight:"100%",
							next: "<i class='icon-chevron-right'></i>",
							previous: "<i class='icon-chevron-left'></i>",
							close: "<i class='icon-remove'></i>",
							slideshow: true,
							slideshowAuto: false,
							slideshowSpeed: 5000,
							slideshowStart: "<i class='icon-play'></i>",
							slideshowStop: "<i class='icon-pause'></i>"
						});

				});	
		
	});  





// -------------------------------------------------------------------------------------------
// accordions & tabs & toggles
// -------------------------------------------------------------------------------------------							

	$(document).ready(function() {
		$(".accordion").tabs(".accordion div.pane", {tabs: 'span.title', effect: 'slide', initialIndex: 0});
	});
	
	// perform JavaScript after the document is scriptable.
	$(function() {
		// setup ul.tabs to work as tabs for each div directly under div.panes
		$("ul.tabs").tabs("div.panes > div", {fadeInSpeed: 500, fadeOutSpeed: 0, effect: 'fade'});
	});
	$(document).ready(function(){
	
		//Hide (Collapse) the toggle containers on load
		$(".toggle div.pane").hide(); 
	
		//Switch the "Open" and "Close" state per click then slide up/down (depending on open/close state)
		$(".toggle span.title").click(function(){
			$(this).toggleClass("active").next().slideToggle("normal");
			return false; //Prevent the browser jump to the link anchor
		});
	
	});

							



// -------------------------------------------------------------------------------------------
// Contact Form
// -------------------------------------------------------------------------------------------							

	$(document).ready(function() {
		$(".contact_form").validate();
		$(".reply_form").validate();
		$(".contact_form_widget").validate();
	});





// -------------------------------------------------------------------------------------------
// Google Map
// -------------------------------------------------------------------------------------------							

		function initialize() {
			var latlng = new google.maps.LatLng(57.0442, 9.9116);
			var settings = {
				zoom: 15,
				center: latlng,
				mapTypeControl: true,
				mapTypeControlOptions: {style: google.maps.MapTypeControlStyle.DROPDOWN_MENU},
				navigationControl: true,
				navigationControlOptions: {style: google.maps.NavigationControlStyle.SMALL},
				mapTypeId: google.maps.MapTypeId.ROADMAP
			    };
			var map = new google.maps.Map(document.getElementById("map_canvas"), settings);
			var companyPos = new google.maps.LatLng(57.0442, 9.9116);
			var companyMarker = new google.maps.Marker({
				position: companyPos,
				map: map,
				title:"Some title"
			});
			var contentString = '<div id="content">'+
			    '<div id="siteNotice">'+
			    '</div>'+
			    '<h3 id="firstHeading" class="firstHeading">Høgenhaug</h3>'+
			    '<div id="bodyContent">'+
			    '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>'+
			    '</div>'+
			    '</div>';
 
			var infowindow = new google.maps.InfoWindow({
			    content: contentString
			});
			google.maps.event.addListener(companyMarker, 'click', function() {
			  infowindow.open(map,companyMarker);
			});	    
		}





		
		
							
